# List events

Fetches events for System Admin users. This includes actions such as creating, updating, loading, deleting, and more of items such as sheets, reports, dashboards, attachments, and users in your Smartsheet organization account.

See Event types for the complete event listing, details, and example objects.

> Who can use this operation?
> 
> - Plans: Requires the Event Reporting premium add-on available for Enterprise and Advanced Work Management plans only.
> - Permissions: System Admin

> Note: You must specify exactly one of the query parameters since or streamPosition. Both are optional individually, but one is required.

Endpoint: GET /events
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

  - `Accept-Encoding` (string)
    Strongly recommended to make sure payload is compressed. Must be set to one of the following values:
* deflate
* gzip
    Enum: "deflate", "gzip"

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

## Query parameters:

  - `since` (string)
    The earliest time from which events are included in the response. Events before this time are excluded.

This parameter is required if streamPosition is not used.

The date-time value is resolved to the nearest hour. The value is interpreted as ISO-8601 format, unless numericDates is specified (see details about numericDates below).

Important: To keep event responses manageable and prevent timeouts, also specify the to query parameter.

Important: This parameter is intended for use when backfilling data at client startup or recovery--don't use it for fine-grained, date-based queries.

  - `to` (string)
    The latest time up to which events are included in the response. Events after this time are excluded.

This parameter requires using the since parameter. 

The date-time value is resolved to the nearest hour. The value is interpreted as ISO-8601 format, unless numericDates is specified (see details about numericDates below).

Logic:

- If to is a future time, the current time is used.
- If to equals the since time, an empty data value is returned.
- If to is before the since time, a validation error is returned.

Important: This parameter is intended for use when backfilling data at client startup or recovery--don't use it for fine-grained, date-based queries.

  - `streamPosition` (string)
    Indicates next set of events to return. Use value of
nextStreamPosition returned from the previous call.

This parameter is required if since is not used.
    Example: "XyzAb1234cdefghijklmnofpq"

  - `maxCount` (integer)
    Maximum number of events to return as response to this call.
Must be between 1 through 10,000 (inclusive).
Defaults to 1,000 if not specified.

  - `numericDates` (boolean)
    If true, dates are accepted and returned in Unix epoch time
(milliseconds since midnight on January 1, 1970 in UTC time).

Default is false, which means ISO-8601 format.

  - `managedPlanId` (number)
    The target managed plan for which to list events. Authorized if the
caller is a system administrator on either the target managed plan or
the main plan in EPM hierarchy.

## Response 200 fields (application/json):

  - `nextStreamPosition` (string)
    This string should be passed back to the next GET events call to obtain
subsequent events.
    Example: "XyzAb1234cdefghijklmnofpq"

  - `moreAvailable` (boolean)
    True if more results are available. This is typically due to event counts
exceeding the maxCount parameter passed in.
    Example: true

  - `data` (array) — one of:
    List of Events
    - ACCESS_TOKEN - AUTHORIZE:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: "ACCESS_TOKEN"
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "AUTHORIZE"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: "WEB_APP", "MOBILE_IOS", "MOBILE_ANDROID", "API_UNDEFINED_APP", "API_INTEGRATED_APP", "API_ODBC_DRIVER", "UNKNOWN"
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `additionalDetails.tokenName` (string)
        Name of the newly created access token. (Only included in cases when a name was given to the token)
        Example: "my_token"
      - `additionalDetails.tokenDisplayValue` (string)
        Four or more characters used as a mnemonic to represent this access token. Even though this value serves as a visual token differentiator, this value isn't an ID because it isn't guaranteed to be unique across all tokens. This value is the same displayed by Smartsheet UI for each access token listed under Apps & Integrations > API Access.
        Example: "AB12..."
      - `additionalDetails.tokenExpirationTimestamp` (string)
        Date and time when this access token expires.
        Example: "2026-05-24T14:15:22Z"
      - `additionalDetails.accessScopes` (string)
        Comma-delimited list of access scopes granted to this access token. See these [access scopes](/api/smartsheet/guides/advanced-topics/oauth#access-scopes) for details.
        Example: "READ_SHEETS,WRITE_SHEETS"
      - `additionalDetails.appClientId` (string)
        The client ID of the app to which this access token was granted. (Only included in cases when the access token was generated for an app)
        Example: "dheu3dmkd32fhxme"
      - `additionalDetails.appName` (string)
        The name of the app to which this access token was granted. (Only included in cases when the access token was generated for an app)
        Example: "my_app"
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - ACCESS_TOKEN - REFRESH:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "ACCESS_TOKEN - AUTHORIZE" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "REFRESH"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `additionalDetails.tokenDisplayValue` (string)
        Four or more characters used as a mnemonic to represent this access token. Even though this value serves as a visual token differentiator, this value isn't an ID because it isn't guaranteed to be unique across all tokens. This value is the same displayed by Smartsheet UI for each access token listed under Apps & Integrations > API Access.
        Example: "AB12..."
      - `additionalDetails.tokenExpirationTimestamp` (string)
        Date and time when this access token expires.
        Example: "2026-05-24T14:15:22Z"
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - ACCESS_TOKEN - REVOKE:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "ACCESS_TOKEN - AUTHORIZE" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "REVOKE"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `additionalDetails.tokenDisplayValue` (string)
        Four or more characters used as a mnemonic to represent this access token. Even though this value serves as a visual token differentiator, this value isn't an ID because it isn't guaranteed to be unique across all tokens. This value is the same displayed by Smartsheet UI for each access token listed under Apps & Integrations > API Access.
        Example: "AB12..."
      - `additionalDetails.tokenUserId` (string)
        The ID of the user who owns this token.
        Example: "122454719915908"
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - ACCOUNT - BULK UPDATE:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: "ACCOUNT"
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "BULK_UPDATE"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - ACCOUNT - DOWNLOAD LOGIN HISTORY:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "ACCOUNT - BULK UPDATE" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "DOWNLOAD_LOGIN_HISTORY"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - ACCOUNT - DOWNLOAD PUBLISHED ITEMS REPORT:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "ACCOUNT - BULK UPDATE" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "DOWNLOAD_PUBLISHED_ITEMS_REPORT"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - ACCOUNT - DOWNLOAD SHEET ACCESS REPORT:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "ACCOUNT - BULK UPDATE" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "DOWNLOAD_SHEET_ACCESS_REPORT"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - ACCOUNT - DOWNLOAD USER LIST:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "ACCOUNT - BULK UPDATE" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "DOWNLOAD_USER_LIST"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - ACCOUNT - IMPORT USERS:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "ACCOUNT - BULK UPDATE" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "IMPORT_USERS"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - ACCOUNT - LIST SHEETS:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "ACCOUNT - BULK UPDATE" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "LIST_SHEETS"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - ACCOUNT - RENAME:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "ACCOUNT - BULK UPDATE" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "RENAME"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `additionalDetails.newName` (string)
        New name of the organization account
        Example: "New Company Name"
      - `additionalDetails.oldName` (string)
        Previous name of the organization account
        Example: "Old Company Name"
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - ACCOUNT - UPDATE MAIN CONTACT:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "ACCOUNT - BULK UPDATE" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "UPDATE_MAIN_CONTACT"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `additionalDetails.newContactUserId` (string)
        ID of the new main contact
        Example: "12345678901234567"
      - `additionalDetails.oldContactUserId` (string)
        ID of the former main contact
        Example: "48569348493401200"
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - ATTACHMENT - CREATE:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: "ATTACHMENT"
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "CREATE"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `additionalDetails.sheetId` (string)
        ID of the sheet that contains the attachment. (This property is included only if the workspaceId property below isn't included)
        Example: "6141831453927300"
      - `additionalDetails.workspaceId` (string)
        ID of the workspace that directly contains the attachment. (This property is included only if the sheetId property above isn't included)
        Example: "9876543210987654"
      - `additionalDetails.attachmentName` (string)
        Name of the attachment.
        Example: "my file"
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - ATTACHMENT - DELETE:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "ATTACHMENT - CREATE" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "DELETE"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `additionalDetails.sheetId` (string)
        ID of the sheet that contains the attachment. (This property is included only if the workspaceId property below isn't included)
        Example: "6141831453927300"
      - `additionalDetails.workspaceId` (string)
        ID of the workspace that directly contains the attachment. (This property is included only if the sheetId property above isn't included)
        Example: "9876543210987654"
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - ATTACHMENT - LOAD:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "ATTACHMENT - CREATE" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "LOAD"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `additionalDetails.sheetId` (string)
        ID of the sheet that contains the attachment. (This property is included only if the workspaceId property below isn't included)
        Example: "6141831453927300"
      - `additionalDetails.workspaceId` (string)
        ID of the workspace that directly contains the attachment. (This property is included only if the sheetId property above isn't included)
        Example: "9876543210987654"
      - `additionalDetails.multiFileDownloadName` (string)
        Name of the compressed file containing the multiple attachments downloaded at once. (Only included if more than one attachment was selected to be downloaded in the same user action. Please notice that multi-attachment download action allows the user to specify the name of the zip file that should include all attachments, which is what is being provided here. The download of a single attachment uses the attachment name as the download file name and it cannot be changed, and it isn't provided in this event because it is provided in the ATTACHMENT-CREATE event or by querying Smartsheet API with the attachment ID)
        Example: "name_of_first_file.zip"
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - ATTACHMENT - SEND:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "ATTACHMENT - CREATE" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "SEND"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `additionalDetails.recipientEmail` (string)
        Single email address either of a user explicitly included in the recipient list or of the sender (when CC sender is requested). (This property is included only if the recipientGroupId property below isn't included)
        Example: "john.doe@smartsheet.com"
      - `additionalDetails.recipientGroupId` (string)
        Single ID of a user group explicitly included in the recipient list. (This property is included only if the recipientEmail property above isn't included)
        Example: "4583173393803140"
      - `additionalDetails.sheetId` (string)
        ID of the sheet that contains the attachment. (This property is included only if the workspaceId property below isn't included)
        Example: "6141831453927300"
      - `additionalDetails.workspaceId` (string)
        ID of the workspace that directly contains the attachment. (This property is included only if the sheetId property above isn't included)
        Example: "9876543210987654"
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - ATTACHMENT - UPDATE:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "ATTACHMENT - CREATE" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "UPDATE"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `additionalDetails.sheetId` (string)
        ID of the sheet that contains the attachment. (This property is included only if the workspaceId property below isn't included)
        Example: "6141831453927300"
      - `additionalDetails.workspaceId` (string)
        ID of the workspace that directly contains the attachment. (This property is included only if the sheetId property above isn't included)
        Example: "9876543210987654"
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - AUTHENTICATION - ACTIVATE_DOMAIN_STRICT:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: "AUTHENTICATION"
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "ACTIVATE_DOMAIN_STRICT"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `additionalDetails.domains` (string)
        Comma-separated list of FQDNs where domain strict is activated
      - `additionalDetails.mfaEnabled` (string)
        "true" or "false" indicating whether MFA is enabled for this policy
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - AUTHENTICATION - ACTIVATE_EMAIL_BASED_TOTP:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "ACTIVATE_EMAIL_BASED_TOTP"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `additionalDetails.domains` (string)
        Comma-separated list of FQDNs where email TOTP is activated
      - `additionalDetails.mfaEnabled` (string)
        "true" or "false" indicating whether MFA is enabled
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - AUTHENTICATION - ACTIVATE_MFA_EMAIL_BASED_TOTP:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "ACTIVATE_MFA_EMAIL_BASED_TOTP"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `additionalDetails.domains` (string)
        Comma-separated list of FQDNs affected
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - AUTHENTICATION - ACTIVATE_MFA_SYSADMIN_TOTP_FALLBACK:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "ACTIVATE_MFA_SYSADMIN_TOTP_FALLBACK"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `additionalDetails.domains` (string)
        Comma-separated list of FQDNs affected
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - AUTHENTICATION - ACTIVATE_SAML_IDP_CONFIG:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "ACTIVATE_SAML_IDP_CONFIG"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `additionalDetails.domains` (string)
        The domains for which this policy is activated
      - `objectId` (integer)
        The identifier of the object impacted by the event. 

This property's value depends on the type of the ID in the event object:

- If the object ID is a number, this property's value is a numeric ID.
- If the object ID is a string, this property's value is -1; the objectIdStr property's value is the object ID.

DEPRECATED - Use the objectIdStr property instead of this property.
        Example: 345678901234
    - AUTHENTICATION - ACTIVATE_SYSADMIN_TOTP_FALLBACK:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `objectType` (string)
        The type of Smartsheet resource object impacted by the event.

See [Event types](/api/smartsheet/event-types) for all the event object types.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object, such as CREATE, UPDATE, or DELETE.

See [Event types](/api/smartsheet/event-types) for actions associated with each event object type.
        Enum: "ACTIVATE_SYSADMIN_TOTP_FALLBACK"
      - `objectIdStr` (string)
        The identifier of the object impacted by the event.

For objects with numeric IDs, this field contains the string representation of the numeric ID.
For objects with string IDs, this field contains the string ID.
        Example: "345678901234"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `userId` (number)
        User assumed as the one who initiated the event. Usually the userId
property and the requestUserId property (below) have the same value.
However, if the request is an API call with Assume-User header then the
userId property identifies the user whose email matches the value in the
Assume-User header.
        Example: 123457654321
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `additionalDetails` (object)
        Container object for additional event-specific properties. Properties depend upon the event type, but all events include an emailAddress property, representing the user responsible for the event
as well as a sourceIpAddress property, representing the responsible's user IP address, if the source of the event is "WEB_APP". 

See [Event types](/api/smartsheet/event-types) for event details, including event-specific additionalDetails properties and example event response objects.
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event.
        Example: "248.253.157.32"
      - `additionalDetails.domains` (string)
[...]
